footer {
  position: relative;

  >.region-before-footer {
    border-top: 2px solid $color-grey;
    padding-top: 2rem;
  }

  >.region-footer {
    &::before {
      background: url('../images/background/pattern/colored-line.jpg') repeat no-repeat 0 0 $color-grey-xxlight;
      content: '' !important;
      display: block;
      height: .75em !important;
      width: 100%;
    }
    >.menu--footer {
      @include max-width(normal);
      @include breakpoint($size-medium) {
        display: flex;
      }

      &::before {
        content: '';
        display: block;
        margin: 1.5em auto 0;
        background: url("../images/logo/logo-vert.svg") no-repeat center center transparent;
        width: 145px;
        height: 160px;

        @include breakpoint($size-medium) {
          margin: 1.4rem 0;
        }
      }

      >.menu {
        flex-grow: 1;
        padding: 0;
        text-align: center;
        @include breakpoint($size-small) {
          display: flex;
          flex-wrap: wrap;
        }
        ul {
          margin: 0;
          padding: 0;
          text-align: center;
        }
        li {
          flex: 1 1 12em;
          list-style: none;
          margin: 0;
          padding: 0;
        }
        & > li {
          padding: 1.4rem .5em;
        }
        a {
          color: $color-grey-xdark;
        }

        // Menu title
        & > li > a {
          font-family: $font-secondary;
          font-size: $font-medium;
          font-weight: 600;
          text-transform: uppercase;
        }

        // Social.
        & > li:last-child .menu {
          align-items: center;
          display: flex;
          justify-content: center;

          li {
            flex: 0;
            list-style: none;
            padding: 0;
            margin: 5px;

            a {
              display: block;
              text-indent: -9999px;
              transition: opacity .25s ease-in-out;
              width: 30px;
              height: 30px;
              background: no-repeat transparent center center;
              background-size: contain;

              &[href*="facebook"] {
                background-image: url("../images/icons/social-facebook.svg");
              }
              &[href*="twitter"] {
                background-image: url("../images/icons/social-twitter.svg");
              }
              &[href*="flickr"] {
                background-image: url("../images/icons/social-flickr.svg");
              }
              &[href*="rss"] {
                background-image: url("../images/icons/social-rss.svg");
              }
              &[href*="instagram"] {
                background-image: url("../images/icons/social-instagram.svg");
              }
              &[href*="linkedin"] {
                background-image: url("../images/icons/social-linkedin.svg");
              }
              &[href*="youtube"] {
                background-image: url("../images/icons/social-youtube.svg");
              }
              &:hover {
                opacity: .75;
              }
            }
          }
        }
      }
    }

    >#block-drupalcon-footerfooter {
      padding: .7rem 0;
      background-color: $color-grey-xxlight;
      text-align: center;

      p {
        &:last-child {
          margin-bottom: 0;
        }
      }

      .field--name-body {
        @include max-width(normal);
      }
    }
  }
}
